package com.example.gitserver.common;

import lombok.Data;

@Data
public class ResultData {

    private String code;

    private String msg;

    private Object data;

    public static ResultData success(String msg) {
        return resultData(ResultCode.SUCCESS.val(),msg, null);
    }

    public static ResultData success(String msg,Object data) {
        return resultData(ResultCode.SUCCESS.val(), msg, data);
    }

    public static ResultData fail(String code, String msg) {
        return resultData(code, msg, null);
    }

    public static ResultData fail(String code, String msg, Object data) {
        return resultData(code, msg, data);
    }

    private static ResultData resultData(String code, String msg, Object data) {
        ResultData resultData = new ResultData();
        resultData.setCode(code);
        resultData.setMsg(msg);
        resultData.setData(data);
        return resultData;
    }

}
