package com.example.gitserver.service;

import com.example.gitserver.common.ResultData;
import org.eclipse.jgit.api.errors.GitAPIException;
import org.eclipse.jgit.lib.Ref;

import java.io.File;
import java.io.IOException;
import java.util.List;

public interface GitService {


    void clone(String remotePath, File localPath, String user, String pwd,String branch) throws GitAPIException;


    List<String> getRemoteBranchList(String localPath) throws GitAPIException, IOException;

    List<String> getLocalBranchList(String localPath) throws GitAPIException, IOException;

    void pull(String localPath,String branchName,String user,String pwd) throws IOException, GitAPIException;

    void checkout(String localPath,String branchName) throws IOException, GitAPIException;

    Ref changeLocalBranch(String localPath, String branch) throws IOException, GitAPIException;

    void commit(String localPath,String desc) throws IOException, GitAPIException;

    void push(String localPath,String branch,String user,String pwd) throws IOException, GitAPIException;

}
